php-elisp (1.24.2-2) unstable; urgency=medium

  * Migrate from php-8.1 to php-8.2 (Closes: #1028694).
  * Drop debian/NEWS, because the changelog "trimming" behaviour introduced
    in debhelper 13.10 results in a truncated changelog, which causes lintian
    to rightfully complain "debian-news-entry-has-unknown-version 1.21.0-1".
    A consequence of this action will be that users who upgrade from buster,
    without pausing to read the NEWS in bullseye will miss out on notification
    of a significant change of behaviour.

 -- Nicholas D Steeves <sten@debian.org>  Sat, 14 Jan 2023 20:06:54 -0500

php-elisp (1.24.2-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Tue, 15 Nov 2022 20:19:11 -0500

php-elisp (1.24.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop 0001-skip-PHP8.1-tests-when-beta-exec-is-not-installed.patch, which
    isn't actually needed, because changes made to the project structure
    upstream were the actual cause.
  * Add elpa-web-mode to Suggests.  Between this, and the long description,
    users should be able to determine which mode is most suitable for their
    use cases.
  * Add 0001-Make-README.md-relevant-to-the-Debian-pkg.patch
  * Update my copyright years.
  * Declare Standards-Version: 4.6.1 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Thu, 22 Sep 2022 18:31:24 -0400

php-elisp (1.24.0-1) unstable; urgency=medium

  * New upstream release.
  * Adjust d/elpa-php-mode.elpa for new upstream locations of lisp files.
  * Load new upstream helper before running tests.
  * Move creation of tests/project/1/.git from d/elpa-test to d/rules; Rules
    cleans up this temporary directory, and it may be easier to understand how
    this package builds if creation and cleanup are in the same place.
  * Update my email address.
  * Add php-cli and php-dev as new build deps for new ERT tests.
  * Simplify php AND php-cli Suggests to "php-cli | php".
  * Add php-dev to Suggests.
  * Add 0001-skip-PHP8.1-tests-when-beta-exec-is-not-installed.patch.  This
    patch was added at a time when Debian only had PHP 8.0; however, it may
    be useful for Debian derivatives that do not yet have PHP 8.0.  When
    PHP 8.1 is available this test automatically activates, but otherwise the
    test must be skipped, because it necessarily produces an FTBFS.
  * Switch to php8.1 everywhere.
  * Tests appear to require generation of autoloads:
    - rules: Set up a temp space in override_dh_elpa_test.
    - Create debian/ert-helper.el, to generate the autoloads, and then load
    everything that php-mode-test.el requires.
    - elpa-test: Add the new "lisp" subdir to the load-path, and then load
      debian/ert-helper.el.
    - rules: clean up temp space.
  * Declare Standards-Version: 4.6.0.1 (no changes required).
  * Declare Rules-Requires-Root: no.
  * Migrate to debhelper-compat 13.
  * Do not run the body of ert-helper.el when running in an autopkgtest; The
    libraries must be loaded from the installed package--as must the
    autoloads file generated by dh_elpa.
  * elpa-test: Add tests to autopkgtest_keep.
  * When running in an autopkgtest, move tests to a writable workspace,
    symlink the tests dir to the expected location, and only then execute the
    tests.

 -- Nicholas D Steeves <sten@debian.org>  Sun, 05 Dec 2021 22:42:19 -0500

php-elisp (1.23.0-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 08 May 2020 20:30:03 -0400

php-elisp (1.22.2-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Tue, 31 Dec 2019 13:08:18 -0500

php-elisp (1.22.1-2) unstable; urgency=medium

  * Do source-only upload so package can migrate to testing.
  * Declare Standards-Version: 4.4.1 (no changes required).

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 17 Nov 2019 16:52:36 -0500

php-elisp (1.22.1-1) unstable; urgency=medium

  * New upstream release.  To anyone who might be using this package on
    stretch: please note that this release drops support for Emacs
    versions ≤ 25.1.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Thu, 14 Nov 2019 15:46:04 -0500

php-elisp (1.22.0-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 04 Oct 2019 22:04:34 -0400

php-elisp (1.21.4+50.g977bca2-1) unstable; urgency=medium

  * New upstream release, plus 50 upstream commits (all self-tests now pass).
  * Switch to debhelper-compat 12 and drop debian/compat.
  * Switch to machine-readable copyright format 1.0 (Closes: #903092).
  * Drop bin:php-elisp dummy transitional package.
    - Break and replace all php-elisp versions older than this one.
    - Elpa-php-mode now provides php-elisp.
  * Add Maintainer noted in php-mode.el as Upstream-Contact.
  * Update Suggests from upstream documentation.
  * Drop emacs25 from enhances because emacs was unversioned for buster.
  * Add elpa-imenu-list to Suggests.
  * Note in description that PHP Mode supports both Flycheck and Flymake.
  * Cleanup trailing whitespace in d/control.
  * Drop 0001-Disable-php-project-root-selftest.patch and use
    upstream-provided fixes included in their +50 commits (Closes: #921413).
  * elpa-test: create file needed for upstream self-test; doing it here
    rather than in rules solves the autopkgtest failure case.
  * Override_dh_elpa_test to clean up file needed for upstream self-test.
  * Drop Ola Lundqvist from Uploaders as requested on
    debian-emacsen@lists.debian.org.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 15 Sep 2019 15:20:24 -0400

php-elisp (1.21.0-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Mon, 02 Sep 2019 08:59:40 -0300

php-elisp (1.21.0-1) unstable; urgency=medium

  * Adopt package (Closes: #902633).
    - Add Emacsen team VCs links.
    - Set Maintainer to Debian Emacsen Team.
    - Add Ola Lundqvist and myself to Uploaders.
  * New upstream release (Closes: #895743).
  * Elpafy php-elisp:
    - Implicitly drops support for xemacs (Closes: #665314).
    - Add dh-elpa to Build-Depends.
    - Add new package: elpa-php-mode.
    - Convert php-elisp to dummy transitional package.
    - Rewrite debian/rules.
    - Enable autopkgtests.
    - Drop obsolete emacsen packaging directives: php-elisp.dirs,
      php-elisp.emacsen-install, php-elisp.emacsen-remove,
      php-elisp.emacsen-startup, php-elisp.emacsen-startup.new
      (Closes: #827827).
  * Declare compat level 11.
  * Switch to debhelper 11.
  * Declare Standards-Version: 4.3.0.
  * Update watchfile to v4, and update upstream project's location.
  * Suggest php and php-cli rather than php5 and php5-cli.
  * Add gbp.conf.
  * Add patch to disable php-project-root selftest.
  * Add upstream README.
  * Update Homepage, because php-mode has a new upstream maintainer.
    The project's transfer of ownership is documented here:
    https://github.com/emacs-php/php-mode/issues/387
  * Drop out-of-date php-elisp.README.Debian.  The upstream README contains
    this information.
  * Add debian/NEWS to notify users of depreciated PHP 2 support, and show
    how to restore the behaviour of past php-elisp releases.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 01 Feb 2019 14:43:45 -0700

php-elisp (1.13.5-3) unstable; urgency=medium

  * Merged the patch from Peter S Galbraith to make sure it is not
    loaded when removed but not purged. Closes: #584785.
  * Updated to standards version 3.9.6.

 -- Ola Lundqvist <opal@debian.org>  Sun, 19 Jun 2016 13:55:50 +0200

php-elisp (1.13.5-2) unstable; urgency=low

  * Dropped emacs 22 support. Closes: #775390, #775548. Thanks to Youhei
    SASAKI <uwabami@gfd-dennou.org> for the patch.

 -- Ola Lundqvist <opal@debian.org>  Sun, 25 Jan 2015 11:53:56 +0100

php-elisp (1.13.5-1) unstable; urgency=low

  * New upstream release. Closes: #764033.
  * New maintainer. Closes: #668201.
  * Removed the texi documentation.
  * Changed the upsteam page reference.
  * Updated standards version.
  * Debhelper 9 compatible.
  * Simplified debian/rules file.

 -- Ola Lundqvist <opal@debian.org>  Wed, 15 Oct 2014 20:09:36 +0200

php-elisp (1.5.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Prevent byte compilation on xemacs21, since it's incompatible
    (Closes: #584698)

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 05 Aug 2010 16:37:37 -0400

php-elisp (1.5.0-1) unstable; urgency=low

  * New upstream release (Closes: #368061, #291207)
  * New maintainer (Closes: #525947)
  * debian/control:
    + bumped Standards-Version to 3.8.4
    + added ${misc:Depends} in Depends
    + updated Depends to emacs23 | emacs22 | emacsen
    + updated Suggests to php5 | php5-cli
    + updated Section to lisp
    + added in Recommends field speedbar (Closes: #500120)
    + used debhelper 7
    + added Homepage field
    + added texi2html in Build-Depends to generate manual (Closes: #476197)
  * debian/rules:
    + removed emacs21 references (Closes: #269650)
    + used binary-indep instead of binary-arch target
  * debian/copyright
    + added copyright notice
  * Added compat, docs, watch files
  * switched to dpkg-source 3.0 (quilt) format

 -- Thierry Randrianiriana <thierry@debian.org>  Sun, 09 May 2010 09:00:55 +0300

php-elisp (1.4.0-3) unstable; urgency=low

  * Package officially orphaned and maintainer address set to the Debian
    QA Group.

 -- Ola Lundqvist <opal@debian.org>  Tue, 28 Apr 2009 07:01:06 +0200

php-elisp (1.4.0-2) unstable; urgency=low

  * Applied patch from Neil Moore <neil@s-z.org> to correct xemacs
    problem, closes: #477132.

 -- Ola Lundqvist <opal@debian.org>  Sun, 27 Apr 2008 18:32:11 +0200

php-elisp (1.4.0-1) unstable; urgency=low

  * New upstream release.
  * This version have a copy of the 1.2.0 version with support for emacs21
    included as well.
  * Applied patch with various fixes for the 1.2.0 version, closes: #342632.
    Thanks to Thue Janus Kristensen <thuejk@gmail.com> for the good patch.
    Due to new upstream release two chunks had to be applied manually.
  * Making Ola maintainer and Pontus co-maintainer.
  * Debhelper compatibility version 4 support.
  * Updated to 3.7.2 version of the debian standards version.
    This include removing the old conffiles file in debian dir.
  * Build depends on debhelper.
  * Updated to new version of FSF address in copyright file.

 -- Ola Lundqvist <opal@debian.org>  Sun, 20 Apr 2008 14:45:09 +0200

php-elisp (1.1.0-2) unstable; urgency=low

  * Fixed newline. Patch supplied by Roland Rosenfeld, closes: #242183

 -- Pontus Ullgren <pontus@ullgren.com>  Tue, 13 Apr 2004 22:51:34 +0200

php-elisp (1.1.0-1) unstable; urgency=low

  * New upstream release closes: #233858
  * Added a small README.debian file. closes: #158748
  * Removed dependancy to emacs20. closes: #232779

 -- Pontus Ullgren <pontus@ullgren.com>  Fri,  6 Feb 2004 03:40:55 +0100

php-elisp (1.0.5-1) unstable; urgency=low

  * New upstream release. closes: #225774

 -- Pontus Ullgren <pontus@ullgren.com>  Fri, 09 Jan 2004 19:08:06 +0100

php-elisp (1.0.4-2) unstable; urgency=low

  * Fixed "Highlighting warning on superglobals". closes: #206261, #206108

 -- Pontus Ullgren <pontus@ullgren.com>  Wed, 20 Aug 2003 00:42:54 +0200

php-elisp (1.0.4-1) unstable; urgency=low

  * New maintainer.
  * New upstream release, closes: #186713, #171317
  * Updated information about upstream author in copyright.
  * Changed dependency from xemacs2 to xemacs21.
  * Standards-Version from 3.5.2 to 3.6.0.

 -- Pontus Ullgren <pontus@ullgren.com>  Thu, 14 Aug 2003 18:30:27 +0200

php-elisp (1.0.2-1) unstable; urgency=low

  * New upstream version, closes: #124282, #134056, #113530.
  * Fixed conffile, closes: #132185.

 -- Ola Lundqvist <opal@debian.org>  Sun, 24 Feb 2002 18:50:21 +0100

php-elisp (0.9.6-3) unstable; urgency=low

  * Marked files in /etc as conffiles, closes: #132185.
  * Removed dh_testversion.
  * Fixed build-dep-indep in control file.

 -- Ola Lundqvist <opal@debian.org>  Mon,  4 Feb 2002 09:25:37 +0100

php-elisp (0.9.6-2) unstable; urgency=low

  * Fixed build depends.
  * Fixed to a better long description.
  * Fixed ordinary depends.
  * Added suggests of php4 and/or php3.

 -- Ola Lundqvist <opal@debian.org>  Sat, 02 Mar 2001 11:34:45 +0100

php-elisp (0.9.6-1) unstable; urgency=low

  * Initial Release.

 -- Ola Lundqvist <opal@debian.org>  Mon, 26 Feb 2001 21:33:20 +0100
